import { axios } from '@/utils/request'

//  产品 列表  分页
export const productList = (params) => {
  const url = `/product/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  产品 列表 已定过价的 分页
export const productPricedList = (params) => {
  const url = `/product/queryPricedPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  产品 保存
export const productSave = (params) => {
  return axios({
    url: '/product/save',
    data: params,
    method: 'post'
  })
}
//  产品 删除
export const productDel = (params) => {
  return axios({
    url: `/product/delete/${params.sn}`,
    method: 'get'
  })
}
//  产品 导出
export const productExport = (params) => {
  return axios({
    url: '/product/exportExcel',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
//  产品 详情  根据sn查询
export const productSnDetail = (params) => {
  return axios({
    url: `/product/findBySn/${params.sn}`,
    method: 'get'
  })
}
//  产品 审核
export const productAudit = (params) => {
  return axios({
    url: `/product/audit/${params.sn}`,
    method: 'get'
  })
}
//  产品 批量审核
export const productBatchAudit = (params) => {
  return axios({
    url: '/product/batchAudit',
    data: params,
    method: 'post'
  })
}
//  产品 上线
export const productOnline = (params) => {
  return axios({
    url: `/product/online/${params.sn}`,
    method: 'get'
  })
}
//  产品 下线
export const productOffline = (params) => {
  return axios({
    url: `/product/offline`,
    data: params,
    method: 'post'
  })
}
//  产品 批量上线
export const productBatchOnline = (params) => {
  return axios({
    url: '/product/batchOnline',
    data: params,
    method: 'post'
  })
}

//  产品  定价  列表  分页
export const productPricingList = (params) => {
  const url = `/product/pricing/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  产品  定价 详情  根据sn查询
export const productPricingSnDetail = (params) => {
  return axios({
    url: `/product/pricing/getPricingInfo/${params.sn}`,
    method: 'get'
  })
}
//  产品  定价 编辑
export const productPricingSave = (params) => {
  return axios({
    url: '/product/pricing/save',
    data: params,
    method: 'post'
  })
}
//  产品  定价 审核
export const productPricingAudit = (params) => {
  return axios({
    url: '/product/pricing/audit',
    data: params,
    method: 'post'
  })
}

//  产品  上线审核  列表  分页
export const productOnlineList = (params) => {
  const url = `/product/online/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  产品 上线审核  审核
export const productOnlineAudit = (params) => {
  return axios({
    url: `/product/auditOnline/${params.sn}`,
    method: 'get'
  })
}
//  产品 批量上线审核
export const productBatchOnlineAudit = (params) => {
  return axios({
    url: '/product/batchAuditOnline',
    data: params,
    method: 'post'
  })
}

//  产品  下线审核  列表  分页
export const productOfflineList = (params) => {
  const url = `/product/offline/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  产品 下线审核  审核
export const productOfflineAudit = (params) => {
  return axios({
    url: `/product/auditOffline/${params.sn}`,
    method: 'get'
  })
}
//  产品 批量下线审核
export const productBatchOfflineAudit = (params) => {
  return axios({
    url: '/product/batchAuditOffline',
    data: params,
    method: 'post'
  })
}

//  产品  价格变更记录  列表  分页
export const productPriceChangeList = (params) => {
  const url = `/product/priceChange/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  价格变更记录 导出
export const productPriceChangeExport = (params) => {
  return axios({
    url: '/product/priceChange/exportExcel',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
//  产品  级别 列表  分页
export const productLevelList = (params) => {
  const url = `/product/level/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  产品  级别 保存
export const productLevelSave = (params) => {
  return axios({
    url: '/product/saveProductLevel',
    data: params,
    method: 'post'
  })
}
