// eslint-disable-next-line
import {
  UserLayout,
  BasicLayout,
  RouteView,
  BlankLayout,
  PageView
} from '@/layouts'

export const asyncRouterMap = [
  {
    path: '/',
    name: 'index',
    component: BasicLayout,
    meta: {
      title: '首页'
    },
    redirect: '/home',
    children: [
      {
        path: '/home',
        name: 'home',
        redirect: '/home',
        component: PageView,
        meta: {
          title: '首页',
          icon: 'home'
        },
        hideChildrenInMenu: true,
        children: [{
          path: '/home',
          name: 'home',
          component: () => import(/* webpackChunkName: "home" */ '@/views/Home'),
          meta: {
            title: '首页',
            icon: 'home',
            hide: true
          }
        }]
      },
      {
        path: '/changePwd',
        name: 'changePwd',
        component: () => import(/* webpackChunkName: "home" */ '@/views/user/ChangePwd'),
        meta: {
          title: '修改密码',
          icon: 'home'
        },
        hidden: true
      },
      // 销售管理
      {
        path: '/salesManagement',
        redirect: '/salesManagement/salesQuery',
        component: PageView,
        meta: {
          title: '销售管理',
          icon: 'account-book',
          permission: 'M_salesManagement'
        },
        children: [
          {
            path: '/salesManagement/salesQuery',
            redirect: '/salesManagement/salesQuery/list',
            name: 'salesQuery',
            component: RouteView,
            meta: {
              title: '销售单查询',
              icon: 'monitor',
              permission: 'M_salesQueryList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'salesQueryList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/list.vue'),
                meta: {
                  title: '销售单列表',
                  icon: 'monitor',
                  hidden: true,
                  permission: 'M_salesQueryList'
                }
              },
              {
                path: 'detail/:sn',
                name: 'salesDetail',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/detail.vue'),
                meta: {
                  title: '销售单详情',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesDetail'
                }
              },
              {
                path: 'add/:sn',
                name: 'salesAdd',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/edit.vue'),
                meta: {
                  title: '新增销售单',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesNew'
                }
              },
              {
                path: 'edit/:sn',
                name: 'salesEdit',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesQuery/edit.vue'),
                meta: {
                  title: '编辑销售单',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesNew'
                }
              },
              {
                path: 'waitDispatch/:salesBillSn/:dispatchBillSn',
                name: 'waitDispatch',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/waitDispatch/edit.vue'),
                meta: {
                  title: '下推',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'M_salesNew'
                }
              }
            ]
          },
          {
            path: '/salesManagement/examineVerify',
            redirect: '/salesManagement/examineVerify/list',
            name: 'examineVerify',
            component: RouteView,
            meta: {
              title: '备货审核',
              icon: 'audit',
              permission: 'M_examineVerifyList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'examineVerifyList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/examineVerify/list.vue'),
                meta: {
                  title: '备货审核列表',
                  icon: 'audit',
                  hidden: true,
                  permission: 'M_examineVerifyList'
                }
              }
            ]
          },
          {
            path: '/salesManagement/outboundOrder',
            redirect: '/salesManagement/outboundOrder/list',
            name: 'outboundOrder',
            component: RouteView,
            meta: {
              title: '出库',
              icon: 'export',
              permission: 'M_outboundOrderList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'outboundOrderList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/outboundOrder/list.vue'),
                meta: {
                  title: '出库列表',
                  icon: 'export',
                  hidden: true,
                  permission: 'M_outboundOrderList'
                }
              },
              {
                path: 'detail/:sn',
                name: 'outboundOrderDetail',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/outboundOrder/detail.vue'),
                meta: {
                  title: '出库明细',
                  icon: 'export',
                  hidden: true
                }
              }
            ]
          },
          {
            path: '/salesManagement/pushOrderManagement',
            redirect: '/salesManagement/pushOrderManagement/list',
            name: 'pushOrderManagement',
            component: RouteView,
            meta: {
              title: '下推订单列表',
              icon: 'vertical-align-bottom',
              permission: 'M_pushOrderManagementList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'pushOrderManagementList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/pushOrderManagement/list.vue'),
                meta: {
                  title: '下推订单列表',
                  icon: 'vertical-align-bottom',
                  hidden: true,
                  permission: 'M_pushOrderManagementList'
                }
              },
              {
                path: 'detail/:sn/:type',
                name: 'pushOrderDetail',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/pushOrderManagement/detail.vue'),
                meta: {
                  title: '下推订单详情',
                  icon: 'vertical-align-bottom',
                  hidden: true
                  // permission: 'M_outboundList'
                }
              }
            ]
          },
          {
            path: '/salesManagement/salesReturn',
            redirect: '/salesManagement/salesReturn/list',
            name: 'salesReturn',
            component: RouteView,
            meta: {
              title: '销售退货列表',
              icon: 'fund',
              permission: 'M_salesReturnList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'salesReturnList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/list.vue'),
                meta: {
                  title: '销售退货列表',
                  icon: 'fund',
                  hidden: true,
                  permission: 'M_salesReturnList'
                }
              },
              {
                path: 'detail/:sn',
                name: 'salesReturnDetail',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/detail.vue'),
                meta: {
                  title: '销售退货详情',
                  icon: 'fund',
                  hidden: true
                  // permission: 'M_salesReturn'
                }
              },
              {
                path: 'salesReturnGrabEdit/:sn/:buyerSn',
                name: 'salesReturnGrabEdit',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/salesReturnGrabEdit.vue'),
                meta: {
                  title: '编辑销售退货（抓单）',
                  icon: 'fund',
                  hidden: true
                  // permission: 'M_salesReturnGrabEdit'
                }
              },
              {
                path: 'salesReturnEdit/:sn/:buyerSn',
                name: 'salesReturnEdit',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/salesReturnEdit.vue'),
                meta: {
                  title: '编辑销售退货（不抓单）',
                  icon: 'fund',
                  hidden: true
                  // permission: 'M_salesReturnEdit'
                }
              },
              {
                path: 'check/:sn',
                name: 'salesReturnCheck',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/salesReturn/salesReturnCheck.vue'),
                meta: {
                  title: '销售退货品检',
                  icon: 'fund',
                  hidden: true
                  // permission: 'M_salesReturnCheck'
                }
              }
            ]
          },
          {
            path: '/salesManagement/backorder',
            redirect: '/salesManagement/backorder/list',
            name: 'backorder',
            component: RouteView,
            meta: {
              title: '销售缺货列表',
              icon: 'exception',
              permission: 'M_backorderList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'backorderList',
                component: () => import(/* webpackChunkName: "salesManagement" */ '@/views/salesManagement/backorder/list.vue'),
                meta: {
                  title: '销售缺货列表',
                  icon: 'exception',
                  hidden: true,
                  permission: 'M_backorderList'
                }
              }
            ]
          },
          {
            path: '/salesManagement/shortageStatisticsC',
            redirect: '/salesManagement/shortageStatisticsC/list',
            name: 'shortageStatisticsC',
            component: RouteView,
            meta: {
              title: '缺货统计（按客户）',
              icon: 'file-done',
              permission: 'M_shortageStatisticsCList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'shortageStatisticsCList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/salesManagement/shortageStatisticsC/list.vue'),
                meta: {
                  title: '缺货统计列表',
                  icon: 'file-done',
                  hidden: true,
                  permission: 'M_shortageStatisticsCList'
                }
              }
            ]
          },
          {
            path: '/salesManagement/shortageStatisticsP',
            redirect: '/salesManagement/shortageStatisticsP/list',
            name: 'shortageStatisticsP',
            component: RouteView,
            meta: {
              title: '缺货统计（按产品）',
              icon: 'file-protect',
              permission: 'M_shortageStatisticsPList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'shortageStatisticsPList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/salesManagement/shortageStatisticsP/list.vue'),
                meta: {
                  title: '缺货统计列表',
                  icon: 'file-protect',
                  hidden: true,
                  permission: 'M_shortageStatisticsPList'
                }
              }
            ]
          }
        ]
      },
      // 采购管理
      {
        path: '/purchasingManagement',
        redirect: '/purchasingManagement/purchaseOrder',
        component: PageView,
        meta: {
          title: '采购管理',
          icon: 'money-collect',
          permission: 'M_purchasingManagement'
        },
        children: [
          {
            path: '/purchasingManagement/bulkWarehousingOrder',
            redirect: '/purchasingManagement/bulkWarehousingOrder/list',
            name: 'bulkWarehousingOrder',
            component: RouteView,
            meta: {
              title: '散件入库',
              icon: 'gold',
              permission: 'M_bulkWarehousingOrderList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'bulkWarehousingOrderList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/bulkWarehousingOrder/list.vue'),
                meta: {
                  title: '散件入库单列表',
                  icon: 'gold',
                  hidden: true,
                  permission: 'M_bulkWarehousingOrderList'
                }
              },
              {
                path: 'add/:id/:sn',
                name: 'bulkWarehousingOrderAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/bulkWarehousingOrder/edit.vue'),
                meta: {
                  title: '新增散件入库单',
                  icon: 'gold',
                  hidden: true
                }
              },
              {
                path: 'edit/:id/:sn',
                name: 'bulkWarehousingOrderEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/purchasingManagement/bulkWarehousingOrder/edit.vue'),
                meta: {
                  title: '编辑散件入库单',
                  icon: 'gold',
                  hidden: true
                }
              }
            ]
          }
        ]
      },
      // 财务管理
      {
        path: '/financialManagement',
        redirect: '/financialManagement/returnConfirmation',
        component: PageView,
        meta: {
          title: '财务管理',
          icon: 'property-safety',
          permission: 'M_financialManagement'
        },
        children: [
          // 二期
          // {
          //   path: '/financialManagement/inventoryReview',
          //   redirect: '/financialManagement/inventoryReview/list',
          //   name: 'inventoryReview',
          //   component: RouteView,
          //   meta: {
          //     title: '盘点审核',
          //     icon: 'laptop'
          //     // permission: 'M_goodsManage_list'
          //   },
          //   hideChildrenInMenu: true,
          //   children: [
          //     {
          //       path: 'list',
          //       name: 'inventoryReviewList',
          //       component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/inventoryReview/list.vue'),
          //       meta: {
          //         title: '盘点审核列表',
          //         icon: 'laptop',
          //         hidden: true
          //         // permission: 'M_goodsManage_list'
          //       }
          //     },
          //     {
          //       path: 'detail/:id',
          //       name: 'inventoryReviewDetail',
          //       component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/inventoryReview/detail.vue'),
          //       meta: {
          //         title: '盘点审核详情',
          //         icon: 'laptop',
          //         hidden: true
          //         // permission: 'B_goodsManage_edit'
          //       }
          //     }
          //   ]
          // },
          {
            path: '/financialManagement/warehousingConfirmation',
            redirect: '/financialManagement/warehousingConfirmation/list',
            name: 'warehousingConfirmation',
            component: RouteView,
            meta: {
              title: '入库确认',
              icon: 'vertical-align-bottom',
              permission: 'M_warehousingConfirmationList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'warehousingConfirmationList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/warehousingConfirmation/list.vue'),
                meta: {
                  title: '入库确认列表',
                  icon: 'vertical-align-bottom',
                  hidden: true,
                  permission: 'M_warehousingConfirmationList'
                }
              }
            ]
          },
          {
            path: '/financialManagement/returnConfirmation',
            redirect: '/financialManagement/returnConfirmation/list',
            name: 'returnConfirmation',
            component: RouteView,
            meta: {
              title: '退货确认',
              icon: 'vertical-align-top',
              permission: 'M_returnConfirmationList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'returnConfirmationList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/returnConfirmation/list.vue'),
                meta: {
                  title: '退货确认列表',
                  icon: 'vertical-align-top',
                  hidden: true,
                  permission: 'M_returnConfirmationList'
                }
              }
            ]
          },
          {
            path: '/financialManagement/financialCollection',
            redirect: '/financialManagement/financialCollection/list',
            name: 'financialCollection',
            component: RouteView,
            meta: {
              title: '财务收款',
              icon: 'pay-circle',
              permission: 'M_financialCollectionList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'financialCollectionList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/financialManagement/financialCollection/list.vue'),
                meta: {
                  title: '财务收款列表',
                  icon: 'pay-circle',
                  hidden: true,
                  permission: 'M_financialCollectionList'
                }
              }
            ]
          }
        ]
      },
      // 库存管理
      {
        path: '/inventoryManagement',
        redirect: '/inventoryManagement/inventoryQuery',
        component: PageView,
        meta: {
          title: '库存管理',
          icon: 'shop',
          permission: 'M_inventoryManagement'
        },
        children: [
          {
            path: '/inventoryManagement/inventoryQuery',
            redirect: '/inventoryManagement/inventoryQuery/list',
            name: 'inventoryQuery',
            component: RouteView,
            meta: {
              title: '库存查询',
              icon: 'monitor',
              permission: 'M_inventoryQueryList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'inventoryQueryList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryQuery/list.vue'),
                meta: {
                  title: '库存列表',
                  icon: 'monitor',
                  hidden: true,
                  permission: 'M_inventoryQueryList'
                }
              },
              {
                path: 'warehouseDetail/:sn',
                name: 'inventoryQueryWarehouseDetail',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryQuery/warehouseDetail.vue'),
                meta: {
                  title: '出入库明细',
                  icon: 'monitor',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/inventoryManagement/inventoryWarning',
            name: 'inventoryWarningList',
            component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryWarning/list.vue'),
            meta: {
              title: '库存预警',
              icon: 'alert',
              permission: 'M_inventoryWarningList'
            }
          },
          {
            path: '/inventoryManagement/intelligentReplenishment',
            redirect: '/inventoryManagement/intelligentReplenishment/list',
            name: 'intelligentReplenishment',
            component: RouteView,
            meta: {
              title: '智能补货',
              icon: 'monitor',
              permission: 'M_intelligentReplenishmentList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'intelligentReplenishmentList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/intelligentReplenishment/list.vue'),
                meta: {
                  title: '智能补货列表',
                  icon: 'monitor',
                  hidden: true,
                  permission: 'M_intelligentReplenishmentList'
                }
              },
              {
                path: 'add/:sn',
                name: 'intelligentReplenishmentAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/intelligentReplenishment/edit.vue'),
                meta: {
                  title: '新增智能补货',
                  icon: 'monitor',
                  hidden: true
                }
              },
              {
                path: 'edit/:sn',
                name: 'intelligentReplenishmentEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/intelligentReplenishment/edit.vue'),
                meta: {
                  title: '编辑智能补货',
                  icon: 'monitor',
                  hidden: true
                }
              },
              {
                path: 'set',
                name: 'intelligentReplenishmentSet',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/intelligentReplenishment/set.vue'),
                meta: {
                  title: '基础信息设置',
                  icon: 'monitor',
                  hidden: true
                }
              },
              {
                path: 'import',
                name: 'intelligentReplenishmentImport',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/intelligentReplenishment/import.vue'),
                meta: {
                  title: '确认导入',
                  icon: 'monitor',
                  hidden: true
                }
              },
              {
                path: 'explainXsbz',
                name: 'intelligentReplenishmentExplainXsbz',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/intelligentReplenishment/explainXsbz.vue'),
                meta: {
                  title: '销售保障法-说明',
                  icon: 'monitor',
                  hidden: true
                }
              },
              {
                path: 'explainQspj',
                name: 'intelligentReplenishmentExplainQspj',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/intelligentReplenishment/explainQspj.vue'),
                meta: {
                  title: '趋势平均法-说明',
                  icon: 'monitor',
                  hidden: true
                }
              }
            ]
          }
          // 二期
          // {
          //   path: '/inventoryManagement/inventoryChecking',
          //   redirect: '/inventoryManagement/inventoryChecking/list',
          //   name: 'inventoryChecking',
          //   component: RouteView,
          //   meta: {
          //     title: '库存盘点',
          //     icon: 'reconciliation'
          //     // permission: 'M_goodsManage_list'
          //   },
          //   hideChildrenInMenu: true,
          //   children: [
          //     {
          //       path: 'list',
          //       name: 'inventoryCheckingList',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/list.vue'),
          //       meta: {
          //         title: '库存盘点列表',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'M_goodsManage_list'
          //       }
          //     },
          //     {
          //       path: 'overall/:id',
          //       name: 'inventoryCheckingOverall',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/overall.vue'),
          //       meta: {
          //         title: '盘点人盘点【全盘】',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'B_goodsManage_edit'
          //       }
          //     },
          //     {
          //       path: 'selfDisk/:id',
          //       name: 'inventoryCheckingSelfDisk',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/selfDisk.vue'),
          //       meta: {
          //         title: '盘点人盘点【自选盘点】',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'B_goodsManage_edit'
          //       }
          //     },
          //     {
          //       path: 'detail/:id',
          //       name: 'inventoryCheckingDetail',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/detail.vue'),
          //       meta: {
          //         title: '库存盘点详情',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'B_goodsManage_edit'
          //       }
          //     },
          //     {
          //       path: 'makeInventory/:id',
          //       name: 'inventoryCheckingMakeInventory',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/makeInventory.vue'),
          //       meta: {
          //         title: '待盘点【盘点】',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'B_goodsManage_edit'
          //       }
          //     },
          //     {
          //       path: 'makeInventory/detail/:id', /* 待盘点【盘点】详情  */
          //       name: 'inventoryCheckingMakeInventoryDetail',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/makeInventoryDetail.vue'),
          //       meta: {
          //         title: '库存盘点详情',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'B_goodsManage_edit'
          //       }
          //     },
          //     {
          //       path: 'financialAudit/detail/:id', /* 财务审核详情  */
          //       name: 'inventoryCheckingFinancialAuditDetail',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/inventoryManagement/inventoryChecking/financialAuditDetail.vue'),
          //       meta: {
          //         title: '库存盘点详情',
          //         icon: 'reconciliation',
          //         hidden: true
          //         // permission: 'B_goodsManage_edit'
          //       }
          //     }
          //   ]
          // }
        ]
      },
      // 调拨管理
      {
        path: '/allocationManagement',
        redirect: '/allocationManagement/transferOut',
        component: PageView,
        meta: {
          title: '调拨管理',
          icon: 'cluster',
          permission: 'M_allocationManagement'
        },
        children: [
          {
            path: '/allocationManagement/transferOut',
            redirect: '/allocationManagement/transferOut/list',
            name: 'transferOut',
            component: RouteView,
            meta: {
              title: '调拨列表',
              icon: 'pull-request',
              permission: 'M_transferOutList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'transferOutList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/transferOut/list.vue'),
                meta: {
                  title: '调拨列表',
                  icon: 'pull-request',
                  hidden: true,
                  permission: 'M_transferOutList'
                }
              },
              {
                path: 'add/:sn/:name/:dealerLevel',
                name: 'transferOutAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/transferOut/edit.vue'),
                meta: {
                  title: '新增调拨单',
                  icon: 'pull-request',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'edit/:sn/:name/:dealerLevel',
                name: 'transferOutEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/transferOut/edit.vue'),
                meta: {
                  title: '编辑调拨单',
                  icon: 'pull-request',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'detail/:sn',
                name: 'transferOutDetail',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/allocationManagement/transferOut/detail.vue'),
                meta: {
                  title: '调拨单详情',
                  icon: 'pull-request',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          }
        ]
      },
      // 报表
      {
        path: '/reportData',
        redirect: '/reportData/countryTypeProvinceSalesDetails',
        component: PageView,
        meta: {
          title: '报表',
          icon: 'project',
          permission: 'M_reportData'
        },
        children: [
          {
            path: '/reportData/salesDetails',
            redirect: '/reportData/salesDetails/list',
            name: 'salesDetails',
            component: RouteView,
            meta: {
              title: '销售明细(开单统计)',
              icon: 'profile',
              permission: 'M_salesDetailsList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'salesDetailsList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/salesDetails/list.vue'),
                meta: {
                  title: '销售明细列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_salesDetailsList'
                }
              }
            ]
          },
          {
            path: '/reportData/allocationOrderTotal',
            redirect: '/reportData/allocationOrderTotal/list',
            name: 'allocationOrderTotal',
            component: RouteView,
            meta: {
              title: '调拨开单统计',
              icon: 'profile',
              permission: 'M_allocationOrderTotalList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'allocationOrderTotalList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/allocationOrderTotal/list.vue'),
                meta: {
                  title: '调拨开单列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_allocationOrderTotalList'
                }
              }
            ]
          },
          {
            path: '/reportData/allocationDetails',
            redirect: '/reportData/allocationDetails/list',
            name: 'allocationDetails',
            component: RouteView,
            meta: {
              title: '调拨明细',
              icon: 'profile',
              permission: 'M_allocationDetailsList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'allocationDetailsList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/allocationDetails/list.vue'),
                meta: {
                  title: '调拨明细列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_allocationDetailsList'
                }
              }
            ]
          },
          {
            path: '/reportData/salesReturnsReport',
            redirect: '/reportData/salesReturnsReport/list',
            name: 'salesReturnsReport',
            component: RouteView,
            meta: {
              title: '销售退货单报表',
              icon: 'profile',
              permission: 'M_salesReturnsReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'salesReturnsReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/salesReturnsReport/list.vue'),
                meta: {
                  title: '销售退货单报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_salesReturnsReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/salesReturnDetailReport',
            redirect: '/reportData/salesReturnDetailReport/list',
            name: 'salesReturnDetailReport',
            component: RouteView,
            meta: {
              title: '销售退货明细报表',
              icon: 'profile',
              permission: 'M_salesReturnDetailReportList'
            },
            hideChildrenInMenu: true,
            children: [{
              path: 'list',
              name: 'salesReturnDetailReportList',
              component: () => import(/* webpackChunkName: "shop" */
                '@/views/reportData/salesReturnDetailReport/list.vue'),
              meta: {
                title: '销售退货明细报表列表',
                icon: 'profile',
                hidden: true,
                permission: 'M_salesReturnDetailReportList'
              }
            }]
          },
          {
            path: '/reportData/salesSlipReport',
            redirect: '/reportData/salesSlipReport/list',
            name: 'salesSlipReport',
            component: RouteView,
            meta: {
              title: '开单销售单报表',
              icon: 'profile',
              permission: 'M_salesSlipReportList'
            },
            hideChildrenInMenu: true,
            children: [{
              path: 'list',
              name: 'salesSlipReportList',
              component: () => import(/* webpackChunkName: "shop" */
                '@/views/reportData/salesSlipReport/list.vue'),
              meta: {
                title: '开单销售单报表列表',
                icon: 'profile',
                hidden: true,
                permission: 'M_salesSlipReportList'
              }
            }]
          },
          {
            path: '/reportData/returnSlipReport',
            redirect: '/reportData/returnSlipReport/list',
            name: 'returnSlipReport',
            component: RouteView,
            meta: {
              title: '开单退货单报表',
              icon: 'profile',
              permission: 'M_returnSlipReportList'
            },
            hideChildrenInMenu: true,
            children: [{
              path: 'list',
              name: 'returnSlipReportList',
              component: () => import(/* webpackChunkName: "shop" */
                '@/views/reportData/returnSlipReport/list.vue'),
              meta: {
                title: '开单退货单报表列表',
                icon: 'profile',
                hidden: true,
                permission: 'M_returnSlipReportList'
              }
            }]
          },
          {
            path: '/reportData/salesAmountReport',
            redirect: '/reportData/salesAmountReport/list',
            name: 'salesAmountReport',
            component: RouteView,
            meta: {
              title: '开单销售报表',
              icon: 'profile',
              permission: 'M_salesAmountReportList'
            },
            hideChildrenInMenu: true,
            children: [{
              path: 'list',
              name: 'salesAmountReportList',
              component: () => import(/* webpackChunkName: "shop" */
                '@/views/reportData/salesAmountReport/list.vue'),
              meta: {
                title: '开单销售报表列表',
                icon: 'profile',
                hidden: true,
                permission: 'M_salesAmountReportList'
              }
            }]
          },
          {
            path: '/reportData/actualSalesReport',
            redirect: '/reportData/actualSalesReport/list',
            name: 'actualSalesReport',
            component: RouteView,
            meta: {
              title: '实售销售报表',
              icon: 'profile',
              permission: 'M_actualSalesReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'actualSalesReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/actualSalesReport/list.vue'),
                meta: {
                  title: '实售销售列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_actualSalesReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/billingReturnReport',
            redirect: '/reportData/billingReturnReport/list',
            name: 'billingReturnReport',
            component: RouteView,
            meta: {
              title: '开单退货报表',
              icon: 'profile',
              permission: 'M_billingReturnReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'billingReturnReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/billingReturnReport/list.vue'),
                meta: {
                  title: '开单退货列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_billingReturnReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/salesReturnReport',
            redirect: '/reportData/salesReturnReport/list',
            name: 'salesReturnReport',
            component: RouteView,
            meta: {
              title: '实售退货报表',
              icon: 'profile',
              permission: 'M_salesReturnReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'salesReturnReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/salesReturnReport/list.vue'),
                meta: {
                  title: '实售退货列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_salesReturnReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/priceDifferenceDetailReport',
            redirect: '/reportData/priceDifferenceDetailReport/list',
            name: 'priceDifferenceDetailReport',
            component: RouteView,
            meta: {
              title: '总部差价明细报表',
              icon: 'profile',
              permission: 'M_priceDifferenceDetailReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'priceDifferenceDetailReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/priceDifferenceDetailReport/list.vue'),
                meta: {
                  title: '总部差价明细列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_priceDifferenceDetailReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/provinceTypeSalesDetails',
            redirect: '/reportData/provinceTypeSalesDetails/list',
            name: 'provinceTypeSalesDetails',
            component: RouteView,
            meta: {
              title: '全国各省品类实际销售明细',
              icon: 'profile',
              permission: 'M_provinceTypeSalesDetailsList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'provinceTypeSalesDetailsList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/reportData/provinceTypeSalesDetails/list.vue'),
                meta: {
                  title: '全国各省品类实际销售明细列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_provinceTypeSalesDetailsList'
                }
              }
            ]
          },
          {
            path: '/reportData/districtTypeSalesDetails',
            redirect: '/reportData/districtTypeSalesDetails/list',
            name: 'districtTypeSalesDetails',
            component: RouteView,
            meta: {
              title: '全国各区品类实际销售明细',
              icon: 'profile',
              permission: 'M_districtTypeSalesDetailsList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'districtTypeSalesDetailsList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/reportData/districtTypeSalesDetails/list.vue'),
                meta: {
                  title: '全国各区品类实际销售明细列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_districtTypeSalesDetailsList'
                }
              }
            ]
          },
          {
            path: '/reportData/regionalPromotionCostStatistics',
            redirect: '/reportData/regionalPromotionCostStatistics/list',
            name: 'regionalPromotionCostStatistics',
            component: RouteView,
            meta: {
              title: '区域促销费用统计',
              icon: 'profile',
              permission: 'M_regionalPromotionCostStatisticsList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'regionalPromotionCostStatisticsList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/reportData/regionalPromotionCostStatistics/list.vue'),
                meta: {
                  title: '区域促销费用统计列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_regionalPromotionCostStatisticsList'
                }
              }
            ]
          },
          {
            path: '/reportData/nationalCustomerCostStatistics',
            redirect: '/reportData/nationalCustomerCostStatistics/list',
            name: 'nationalCustomerCostStatistics',
            component: RouteView,
            meta: {
              title: '全国客户费用统计',
              icon: 'profile',
              permission: 'M_nationalCustomerCostStatisticsList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'nationalCustomerCostStatisticsList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/reportData/nationalCustomerCostStatistics/list.vue'),
                meta: {
                  title: '全国客户费用统计列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_nationalCustomerCostStatisticsList'
                }
              }
            ]
          }
        ]
      },
      // 产品管理
      {
        path: '/productManagement',
        redirect: '/productManagement/productInfo',
        component: PageView,
        meta: {
          title: '产品管理',
          icon: 'shopping',
          permission: 'M_productManagement'
        },
        children: [
          {
            path: '/productManagement/productInfo',
            redirect: '/productManagement/productInfo/list',
            name: 'productInfo',
            component: RouteView,
            meta: {
              title: '产品列表',
              icon: 'gold',
              permission: 'M_productInfoList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productInfoList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/list.vue'),
                meta: {
                  title: '产品列表',
                  icon: 'gold',
                  hidden: true,
                  permission: 'M_productInfoList'
                }
              },
              {
                path: 'add',
                name: 'productInfoAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/edit.vue'),
                meta: {
                  title: '新增产品',
                  icon: 'gold',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'edit/:id/:sn',
                name: 'productInfoEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productInfo/edit.vue'),
                meta: {
                  title: '编辑产品',
                  icon: 'gold',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/productManagement/productPricing',
            redirect: '/productManagement/productPricing/list',
            name: 'productPricing',
            component: RouteView,
            meta: {
              title: '产品定价',
              icon: 'transaction',
              permission: 'M_productPricingList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productPricingList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productPricing/list.vue'),
                meta: {
                  title: '产品定价列表',
                  icon: 'transaction',
                  hidden: true,
                  permission: 'M_productPricingList'
                }
              }
            ]
          },
          {
            path: '/productManagement/productLaunchAudit',
            redirect: '/productManagement/productLaunchAudit/list',
            name: 'productLaunchAudit',
            component: RouteView,
            meta: {
              title: '产品上线审核',
              icon: 'rise',
              permission: 'M_productLaunchAuditList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productLaunchAuditList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productLaunchAudit/list.vue'),
                meta: {
                  title: '产品上线审核列表',
                  icon: 'rise',
                  hidden: true,
                  permission: 'M_productLaunchAuditList'
                }
              }
            ]
          },
          {
            path: '/productManagement/productOfflineAudit',
            redirect: '/productManagement/productOfflineAudit/list',
            name: 'productOfflineAudit',
            component: RouteView,
            meta: {
              title: '产品下线审核',
              icon: 'fall',
              permission: 'M_productOfflineAuditList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productOfflineAuditList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productOfflineAudit/list.vue'),
                meta: {
                  title: '产品下线审核列表',
                  icon: 'fall',
                  hidden: true,
                  permission: 'M_productOfflineAuditList'
                }
              }
            ]
          },
          {
            path: '/productManagement/priceChangeRecord',
            redirect: '/productManagement/priceChangeRecord/list',
            name: 'priceChangeRecord',
            component: RouteView,
            meta: {
              title: '价格变更记录',
              icon: 'profile',
              permission: 'M_priceChangeRecordList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'priceChangeRecordList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/priceChangeRecord/list.vue'),
                meta: {
                  title: '价格变更记录列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_priceChangeRecordList'
                }
              }
            ]
          },
          {
            path: '/productManagement/productUniversal',
            redirect: '/productManagement/productUniversal/list',
            name: 'productUniversal',
            component: RouteView,
            meta: {
              title: '通用产品管理',
              icon: 'deployment-unit',
              permission: 'M_productUniversalList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productUniversalList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productUniversal/list.vue'),
                meta: {
                  title: '通用产品列表',
                  icon: 'deployment-unit',
                  hidden: true,
                  permission: 'M_productUniversalList'
                }
              }
            ]
          },
          {
            path: '/productManagement/productLevel',
            redirect: '/productManagement/productLevel/list',
            name: 'productLevel',
            component: RouteView,
            meta: {
              title: '产品级别管理',
              icon: 'fund',
              permission: 'M_productLevelList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productLevelList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productLevel/list.vue'),
                meta: {
                  title: '产品级别列表',
                  icon: 'fund',
                  hidden: true,
                  permission: 'M_productLevelList'
                }
              }
            ]
          },
          {
            path: '/productManagement/productBrand',
            redirect: '/productManagement/productBrand/list',
            name: 'productBrand',
            component: RouteView,
            meta: {
              title: '产品品牌管理',
              icon: 'file-ppt',
              permission: 'M_productBrandList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productBrandList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productBrand/list.vue'),
                meta: {
                  title: '产品品牌列表',
                  icon: 'file-ppt',
                  hidden: true,
                  permission: 'M_productBrandList'
                }
              }
            ]
          },
          {
            path: '/productManagement/productCategory',
            redirect: '/productManagement/productCategory/list',
            name: 'productCategory',
            component: RouteView,
            meta: {
              title: '产品分类管理',
              icon: 'radar-chart',
              permission: 'M_productCategoryList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productCategoryList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/productCategory/list.vue'),
                meta: {
                  title: '产品分类列表',
                  icon: 'radar-chart',
                  hidden: true,
                  permission: 'M_productCategoryList'
                }
              }
            ]
          }
          // 二期
          // {
          //   path: '/productManagement/purchaseBaseLimit',
          //   redirect: '/productManagement/purchaseBaseLimit/list',
          //   name: 'purchaseBaseLimit',
          //   component: RouteView,
          //   meta: {
          //     title: '产品采购基数限制',
          //     icon: 'sliders'
          //     // permission: 'M_goodsManage_list'
          //   },
          //   hideChildrenInMenu: true,
          //   children: [
          //     {
          //       path: 'list',
          //       name: 'purchaseBaseLimitList',
          //       component: () => import(/* webpackChunkName: "shop" */ '@/views/productManagement/purchaseBaseLimit/list.vue'),
          //       meta: {
          //         title: '采购基数限制列表',
          //         icon: 'sliders',
          //         hidden: true
          //         // permission: 'M_goodsManage_list'
          //       }
          //     }
          //   ]
          // }
        ]
      },
      // 经销商管理
      {
        path: '/dealerManagement',
        redirect: '/dealerManagement/marketingDivisionSet',
        component: PageView,
        meta: {
          title: '经销商管理',
          icon: 'idcard',
          permission: 'M_dealerManagement'
        },
        children: [
          {
            path: '/dealerManagement/merchantInfoManagement',
            redirect: '/dealerManagement/merchantInfoManagement/list',
            name: 'merchantInfoManagement',
            component: RouteView,
            meta: {
              title: '经销商资料管理',
              icon: 'file-text',
              permission: 'M_merchantInfoManagementList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'merchantInfoManagementList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/merchantInfoManagement/list.vue'),
                meta: {
                  title: '经销商资料列表',
                  icon: 'file-text',
                  hidden: true,
                  permission: 'M_merchantInfoManagementList'
                }
              },
              {
                path: 'add',
                name: 'merchantInfoManagementAdd',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/merchantInfoManagement/edit.vue'),
                meta: {
                  title: '新增经销商',
                  icon: 'file-text',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'edit/:id',
                name: 'merchantInfoManagementEdit',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/merchantInfoManagement/edit.vue'),
                meta: {
                  title: '编辑经销商',
                  icon: 'file-text',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'permissionSetting/:sn',
                name: 'merchantInfoManagementSet',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/merchantInfoManagement/permissionSetting.vue'),
                meta: {
                  title: '经销权设置',
                  icon: 'file-text',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/dealerManagement/dealerAccountManagement',
            redirect: '/dealerManagement/dealerAccountManagement/list',
            name: 'dealerAccountManagement',
            component: RouteView,
            meta: {
              title: '经销商账号管理',
              icon: 'team',
              permission: 'M_dealerAccountManagementList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'dealerAccountManagementList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/dealerAccountManagement/list.vue'),
                meta: {
                  title: '经销商账号列表',
                  icon: 'team',
                  hidden: true,
                  permission: 'M_dealerAccountManagementList'
                }
              }
            ]
          },
          {
            path: '/dealerManagement/dealerRelationshipBinding',
            redirect: '/dealerManagement/dealerRelationshipBinding/list',
            name: 'dealerRelationshipBinding',
            component: RouteView,
            meta: {
              title: '经销商关系绑定',
              icon: 'share-alt',
              permission: 'M_dealerRelationshipBindingList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'dealerRelationshipBindingList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/dealerRelationshipBinding/list.vue'),
                meta: {
                  title: '经销商关系绑定列表',
                  icon: 'share-alt',
                  hidden: true,
                  permission: 'M_dealerRelationshipBindingList'
                }
              }
            ]
          },
          {
            path: '/dealerManagement/rebateSettings',
            redirect: '/dealerManagement/rebateSettings/list',
            name: 'rebateSettings',
            component: RouteView,
            meta: {
              title: '差价归属设置',
              icon: 'stock',
              permission: 'M_rebateSettingsList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'rebateSettingsList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/rebateSettings/list.vue'),
                meta: {
                  title: '差价归属设置列表',
                  icon: 'stock',
                  hidden: true,
                  permission: 'M_rebateSettingsList'
                }
              }
            ]
          },
          {
            path: '/dealerManagement/marketingDivisionSet',
            redirect: '/dealerManagement/marketingDivisionSet/list',
            name: 'marketingDivisionSet',
            component: RouteView,
            meta: {
              title: '营销分区设置',
              icon: 'setting',
              permission: 'M_marketingDivisionSetList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'marketingDivisionSetList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/dealerManagement/marketingDivisionSet/list.vue'),
                meta: {
                  title: '营销分区列表',
                  icon: 'setting',
                  hidden: true,
                  permission: 'M_marketingDivisionSetList'
                }
              }
            ]
          }
        ]
      },
      //  供应商管理
      {
        path: '/supplierManagement',
        redirect: '/supplierManagement/supplierInfo',
        component: PageView,
        meta: {
          title: '供应商管理',
          icon: 'team',
          permission: 'M_supplierManagement'
        },
        children: [
          {
            path: '/supplierManagement/supplierInfo',
            redirect: '/supplierManagement/supplierInfo/list',
            name: 'supplierInfo',
            component: RouteView,
            meta: {
              title: '供应商列表',
              icon: 'team',
              permission: 'M_supplierInfoList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'supplierInfoList',
                component: () => import(/* webpackChunkName: "supplierManagement" */ '@/views/supplierManagement/supplierInfo/list.vue'),
                meta: {
                  title: '供应商列表',
                  icon: 'team',
                  hidden: true,
                  permission: 'M_supplierInfoList'
                }
              },
              {
                path: 'add',
                name: 'supplierInfoAdd',
                component: () => import(/* webpackChunkName: "supplierManagement" */ '@/views/supplierManagement/supplierInfo/edit.vue'),
                meta: {
                  title: '新增供应商',
                  icon: 'team',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'edit/:id',
                name: 'supplierInfoEdit',
                component: () => import(/* webpackChunkName: "supplierManagement" */ '@/views/supplierManagement/supplierInfo/edit.vue'),
                meta: {
                  title: '编辑供应商',
                  icon: 'team',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'associatedProduct/:sn/:name',
                name: 'associatedProduct',
                component: () => import(/* webpackChunkName: "supplierManagement" */ '@/views/supplierManagement/associatedProduct/add.vue'),
                meta: {
                  title: '关联产品',
                  icon: 'team',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/supplierManagement/associatedProductDetails',
            redirect: '/supplierManagement/associatedProductDetails/list',
            name: 'associatedProductDetails',
            component: RouteView,
            meta: {
              title: '关联产品明细表',
              icon: 'build',
              permission: 'M_associatedProductDetailsList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'associatedProductDetailsList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/supplierManagement/associatedProductDetails/list.vue'),
                meta: {
                  title: '关联产品明细列表',
                  icon: 'build',
                  hidden: true,
                  permission: 'M_associatedProductDetailsList'
                }
              }
            ]
          }
        ]
      },
      // 促销管理
      {
        path: '/promotionRulesManagement',
        redirect: '/promotionRulesManagement/promotionRules',
        component: PageView,
        meta: {
          title: '促销管理',
          icon: 'rocket',
          permission: 'M_promotionRulesManagement'
        },
        children: [
          {
            path: '/promotionRulesManagement/promotionRules',
            redirect: '/promotionRulesManagement/promotionRules/list',
            name: 'promotionRules',
            component: RouteView,
            meta: {
              title: '促销规则管理',
              icon: 'thunderbolt',
              permission: 'M_promotionRulesList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'promotionRulesManagementList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/promotionRulesManagement/promotionRules/list.vue'),
                meta: {
                  title: '促销规则列表',
                  icon: 'thunderbolt',
                  hidden: true,
                  permission: 'M_promotionRulesList'
                }
              },
              {
                path: 'detail/:id/:sn',
                name: 'promotionRulesManagementDetail',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/promotionRulesManagement/promotionRules/detail.vue'),
                meta: {
                  title: '促销规则详情',
                  icon: 'thunderbolt',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'rule/:id/:sn',
                name: 'promotionRulesManagementRule',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/promotionRulesManagement/promotionRules/rule.vue'),
                meta: {
                  title: '促销规则设置',
                  icon: 'thunderbolt',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/promotionRulesManagement/orderStatistics',
            redirect: '/promotionRulesManagement/orderStatistics/list',
            name: 'orderStatistics',
            component: RouteView,
            meta: {
              title: '促销订单统计',
              icon: 'contacts',
              permission: 'M_orderStatisticsList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'orderStatisticsList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/promotionRulesManagement/orderStatistics/list.vue'),
                meta: {
                  title: '订单统计列表',
                  icon: 'contacts',
                  hidden: true,
                  permission: 'M_orderStatisticsList'
                }
              }
            ]
          },
          {
            path: '/promotionRulesManagement/productStatistics',
            redirect: '/promotionRulesManagement/productStatistics/list',
            name: 'productStatistics',
            component: RouteView,
            meta: {
              title: '促销产品统计',
              icon: 'file-ppt',
              permission: 'M_productStatisticsList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productStatisticsList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/promotionRulesManagement/productStatistics/list.vue'),
                meta: {
                  title: '产品统计列表',
                  icon: 'file-ppt',
                  hidden: true,
                  permission: 'M_productStatisticsList'
                }
              }
            ]
          }
        ]
      },
      // 基础设置
      {
        path: '/basicData',
        redirect: '/basicData/warehouse',
        component: PageView,
        meta: {
          title: '基础设置',
          icon: 'pushpin',
          permission: 'M_basicData'
        },
        children: [
          {
            path: '/basicData/warehouse',
            redirect: '/basicData/warehouse/list',
            name: 'warehouse',
            component: RouteView,
            meta: {
              title: '仓库管理',
              icon: 'deployment-unit',
              permission: 'M_warehouseList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'warehouseList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/warehouse/list.vue'),
                meta: {
                  title: '仓库列表',
                  icon: 'deployment-unit',
                  hidden: true,
                  permission: 'M_warehouseList'
                }
              },
              {
                path: '/basicData/storingLocation/:sn',
                name: 'storingLocationList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/warehouse/storingLocation/list.vue'),
                meta: {
                  title: '仓位列表',
                  icon: 'deployment-unit',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/basicData/transferTypeManagement',
            redirect: '/basicData/transferTypeManagement/list',
            name: 'transferTypeManagement',
            component: RouteView,
            meta: {
              title: '调拨类型管理',
              icon: 'interaction',
              permission: 'M_transferTypeManagementList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'transferTypeManagementList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/basicData/transferTypeManagement/list.vue'),
                meta: {
                  title: '调拨类型列表',
                  icon: 'interaction',
                  hidden: true,
                  permission: 'M_transferTypeManagementList'
                }
              }
            ]
          }
        ]
      },
      // 权限管理
      {
        path: '/auth',
        redirect: '/auth/userList',
        component: PageView,
        meta: {
          title: '权限管理',
          icon: 'lock',
          permission: 'M_auth_0'
        },
        children: [
          {
            path: '/auth/userList',
            name: 'powerUserList',
            component: () => import(/* webpackChunkName: "auth" */ '@/views/power/user/userList.vue'),
            meta: {
              title: '用户管理',
              icon: 'user',
              permission: 'M_userList'
            }
          },
          {
            path: '/auth/roleList',
            name: 'powerRoleList',
            component: () => import(/* webpackChunkName: "auth" */ '@/views/power/role/roleList.vue'),
            meta: {
              title: '角色管理',
              icon: 'solution',
              permission: 'M_roleList'
            }
          },
          {
            path: '/menusAuth/adminMenus',
            name: 'adminMenus',
            component: () => import(/* webpackChunkName: "bnSetting" */ '@/views/bnSetting/menu/adminMenus.vue'),
            meta: {
              title: '菜单管理',
              icon: 'appstore',
              permission: 'M_menuList'
            }
          }
        ]
      },
      // 系统设置
      {
        path: '/setting',
        redirect: '/setting/userList',
        component: PageView,
        meta: {
          title: '系统设置',
          icon: 'setting',
          permission: 'M_systemSet'
        },
        children: [
          {
            path: '/setting/dataDictionary',
            name: 'powerDD',
            component: () => import(/* webpackChunkName: "setting" */
              '@/views/power/dataDictionary/dataDictionary.vue'),
            meta: {
              title: '数据字典管理',
              icon: 'database',
              permission: 'M_dataD_lookup'
            }
          },
          // {
          //   path: '/setting/register',
          //   name: 'powerRegister',
          //   component: () => import(/* webpackChunkName: "setting" */ '@/views/power/register/register.vue'),
          //   meta: {
          //     title: '参数管理',
          //     icon: 'key',
          //     permission: 'M_sys_register'
          //   }
          // },
          {
            path: '/setting/OperateJournal',
            name: 'powerOperateJournal',
            component: () => import(/* webpackChunkName: "setting" */
              '@/views/power/OperateJournal/OperateJournal.vue'),
            meta: {
              title: '操作日志',
              icon: 'read',
              permission: 'M_OperateJournalList'
            }
          },
          {
            path: '/setting/noticeManagement',
            redirect: '/setting/noticeManagement/list',
            name: 'noticeManagement',
            component: RouteView,
            meta: {
              title: '公告管理',
              icon: 'sketch',
              permission: 'M_noticeManagementList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'noticeManagementList',
                component: () => import(/* webpackChunkName: "shop" */ '@/views/setting/noticeManagement/list.vue'),
                meta: {
                  title: '公告列表',
                  icon: 'sketch',
                  hidden: true,
                  permission: 'M_noticeManagementList'
                }
              }
            ]
          }
        ]
      },
      // 公告
      {
        path: '/notice',
        name: 'notice',
        component: () => import(/* webpackChunkName: "home" */ '@/views/setting/notice/list'),
        meta: {
          title: '公告',
          icon: 'bell'
        },
        hidden: true
      }
    ]
  },
  {
    path: '*',
    redirect: '/404',
    hidden: true
  }
]

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [
  {
    path: '/user',
    component: UserLayout,
    redirect: '/user/login',
    hidden: true,
    children: [
      {
        path: 'login',
        name: 'login',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Login')
      },
      {
        path: 'register',
        name: 'register',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Register')
      },
      {
        path: 'register-result',
        name: 'registerResult',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/RegisterResult')
      },
      {
        path: 'recover',
        name: 'recover',
        component: undefined
      }
    ]
  },
  {
    path: '/404',
    component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404')
  }
]
